Bug 15298 - RedHat 6.2 Japanese Install fails w/KickStart
Summary: RedHat 6.2 Japanese Install fails w/KickStart
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-03 20:24 UTC by Rosemarie Gazzia
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-09 23:18:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rosemarie Gazzia 2000-08-03 20:24:13 UTC
Got following error on Japanese Kickstart install:

--------| Exception Occurred |----------
Trace back (innermost last):
File "/usr/bin/anaconda/", line 341, in? extraModule = extraModules)
File "/usr/lib/anaconda/todo.py", line 332, in__init__ self.setClass
(instClass)
File "/usr/lib/anaconda/todo.py", line 829, in setClass
todo.language.setByAbbrev (todo.instClass.language)
File "/usr/lib/anaconda/todo.py", line 229, in setByAbbrev self.set
(self.abbreMap[lang])
KeyError : ja_JP   (note: also tried ja_JP.ujis here, same result)
[OK]         [Debug]

Kickstart file:

#_Kickstart_script_file=created_for_replicated_installations_by_ServerGuide
#_Kickstart_script_file = 
created_for_replicated_installations_by_ServerGuide
lang ja_JP  
# = null
network --bootproto static --ip 1.2.3.4 --netmask 255.255.0.0
# = null
cdrom
# = null
device ethernet pcnet32
# = null
keyboard us
# = null
zerombr no
part /boot --size 12
# = null
part / --size 1850
# = null
part swap --size 256
# = null
mouse genericps/2 --emulthree
# = null
timezone --utc Etc/GMT+9
# = null
auth  --useshadow --enablemd5
# = null
lilo --location partition
# = null
%packages
@ Server
# = null
kernel-smp
# = null

Comment 1 Rosemarie Gazzia 2000-08-04 12:57:24 UTC
changing to lang=ja_JP.eucJP works............

Comment 2 Rosemarie Gazzia 2000-08-07 20:13:17 UTC
...but using ja_JP.eucJP, while allowing futher progress, results in garbage 
japanese characters in summary fields...

Comment 3 Michael Fulbright 2000-11-13 16:40:47 UTC
Passed to QA to verify against Red Hat Linux 7.0J

Comment 4 Brock Organ 2000-11-14 21:51:32 UTC
verified the behavior above (ja_JP.ujis is listed in our docs as a supported
value) ... thanks for your report!


Comment 5 Brock Organ 2000-11-14 21:54:38 UTC
hmmm ... in case I wasn't clear above:

both 6.2J and 7.0J fails as described above (not just 6.2J) :)

Comment 6 Matt Wilson 2001-04-03 22:56:07 UTC
fixed in the docs of the next release.



Note You need to log in before you can comment on or make changes to this bug.